Skip to main content
GET
List all jobs

Authorizations

x-api-key
string
header
required

Path Parameters

organizationId
integer
required

Organization ID

Query Parameters

startDate
string<date-time>

Start date

endDate
string<date-time>

End date

limit
integer

Maximum number of results

offset
integer

Offset in results, can be used in conjunction with LimitResultsParameter to implement paging.

excludePipelineTransformJobs
boolean

Whether to exclude pipeline / transformation jobs

rootOnly
boolean

Whether to exclude jobs with a parent ID (so jobs started as part of another job)

key
string

Job key to filter on

category
string

Job category to filter on

finished
enum<string>

Job finish status to filter on

Available options:
successful,
failed,
all

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

jobs
object[]
required

Active jobs

totalJobCount
integer
required
error
string

Optional error description (set if 'success' was false)